package com.lqkj.info.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;

/**
 * 电梯信息对象 elevator_info
 * 
 * @author lqkj
 * @date 2024-11-12
 */
public class ElevatorInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 电梯id */
    @Excel(name = "电梯id")
    private Integer elevatorId;

    /** 电梯型号 */
    @Excel(name = "电梯型号")
    private String elevatorCode;

    /** 大楼id */
    @Excel(name = "大楼id")
    private Integer buildingId;

    /** 电梯状态 */
    @Excel(name = "电梯状态")
    private Integer status;

    /** 电梯名字 */
    @Excel(name = "电梯名字")
    private String elevatorName;

    /** 保养次数 */
    @Excel(name = "保养次数")
    private Integer upkeepNum;

    public void setElevatorId(Integer elevatorId) 
    {
        this.elevatorId = elevatorId;
    }

    public Integer getElevatorId() 
    {
        return elevatorId;
    }
    public void setElevatorCode(String elevatorCode) 
    {
        this.elevatorCode = elevatorCode;
    }

    public String getElevatorCode() 
    {
        return elevatorCode;
    }
    public void setBuildingId(Integer buildingId) 
    {
        this.buildingId = buildingId;
    }

    public Integer getBuildingId() 
    {
        return buildingId;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setElevatorName(String elevatorName) 
    {
        this.elevatorName = elevatorName;
    }

    public String getElevatorName() 
    {
        return elevatorName;
    }
    public void setUpkeepNum(Integer upkeepNum) 
    {
        this.upkeepNum = upkeepNum;
    }

    public Integer getUpkeepNum() 
    {
        return upkeepNum;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("elevatorId", getElevatorId())
            .append("elevatorCode", getElevatorCode())
            .append("buildingId", getBuildingId())
            .append("status", getStatus())
            .append("elevatorName", getElevatorName())
            .append("upkeepNum", getUpkeepNum())
            .toString();
    }
}