package com.lqkj.info.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;

/**
 * 规划对象对象 plan_info
 * 
 * @author lqkj
 * @date 2024-11-13
 */
public class PlanInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 规划id */
    private Integer planId;

    /** 区域 */
    @Excel(name = "区域")
    private Integer areaId;

    /** 类别 */
    @Excel(name = "类别")
    private Integer typeId;

    /** 名字 */
    @Excel(name = "名字")
    private String planName;

    /** 备注 */
    @Excel(name = "备注")
    private String content;

    /** 颜色 */
    @Excel(name = "颜色")
    private String colour;

    /** 面积 */
    @Excel(name = "面积")
    private Integer acreage;

    public void setPlanId(Integer planId) 
    {
        this.planId = planId;
    }

    public Integer getPlanId() 
    {
        return planId;
    }
    public void setAreaId(Integer areaId) 
    {
        this.areaId = areaId;
    }

    public Integer getAreaId() 
    {
        return areaId;
    }
    public void setTypeId(Integer typeId) 
    {
        this.typeId = typeId;
    }

    public Integer getTypeId() 
    {
        return typeId;
    }
    public void setPlanName(String planName) 
    {
        this.planName = planName;
    }

    public String getPlanName() 
    {
        return planName;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setColour(String colour) 
    {
        this.colour = colour;
    }

    public String getColour() 
    {
        return colour;
    }
    public void setAcreage(Integer acreage) 
    {
        this.acreage = acreage;
    }

    public Integer getAcreage() 
    {
        return acreage;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("planId", getPlanId())
            .append("areaId", getAreaId())
            .append("typeId", getTypeId())
            .append("planName", getPlanName())
            .append("content", getContent())
            .append("colour", getColour())
            .append("acreage", getAcreage())
            .toString();
    }
}