package com.lqkj.info.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;

/**
 * 政策信息对象 policy_info
 * 
 * @author lqkj
 * @date 2024-11-15
 */
public class PolicyInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 政策id */
    private Integer policyId;

    /** 政策名称 */
    @Excel(name = "政策名称")
    private String policyName;

    /** 政策文件 */
    private String url;

    /** 文件名 */
    @Excel(name = "文件名")
    private String fileName;

    public void setPolicyId(Integer policyId) 
    {
        this.policyId = policyId;
    }

    public Integer getPolicyId() 
    {
        return policyId;
    }
    public void setPolicyName(String policyName) 
    {
        this.policyName = policyName;
    }

    public String getPolicyName() 
    {
        return policyName;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }
    public void setFileName(String fileName) 
    {
        this.fileName = fileName;
    }

    public String getFileName() 
    {
        return fileName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("policyId", getPolicyId())
            .append("policyName", getPolicyName())
            .append("url", getUrl())
            .append("createTime", getCreateTime())
            .append("fileName", getFileName())
            .toString();
    }
}